Ethiack Docs
Event scope

Get Event Scope

GET
/v1/events/{event_slug}/scope/

Fetches the scope details of an event, including assets that are in-scope and out-of-scope. The result is paginated individually for each list.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event whose scope is being retrieved

Query Parameters

page?integer

Page number

per_page?integer

Number of assets per list and per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/events/string/scope/"
{
  "in_scope": {
    "assets": [
      {
        "id": 0,
        "value": "string",
        "type": "string",
        "in_scope": true,
        "private": null,
        "description": null,
        "wildcard": null,
        "beacon_id": null,
        "attachment_url": null
      }
    ]
  },
  "out_of_scope": {
    "assets": [
      {
        "id": 0,
        "value": "string",
        "type": "string",
        "in_scope": true,
        "private": null,
        "description": null,
        "wildcard": null,
        "beacon_id": null,
        "attachment_url": null
      }
    ]
  },
  "beacons": null
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}